---
title: List
url: https://www.tines.com/docs/api/cases/actions/list/
updated: 2026-04-01T12:10:20+00:00
description: Retrieve a list of case actions for a specific case.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Cases](https://www.tines.com/llm/docs/api/cases.md) › [Actions](https://www.tines.com/llm/docs/api/cases/actions.md)*

# List

*[View on tines.com](https://www.tines.com/docs/api/cases/actions/list/)*

## Description

Retrieve a list of case actions for a specific case.

## Request

HTTP Method: **GET**

| Path Parameter | Description                                                                                         |
| -------------- | --------------------------------------------------------------------------------------------------- |
| case_id        | The ID of the case.                                                                                 |
| per_page       | **Optional** Set the number of results returned per page. Defaults to 20.                           |
| page           | **Optional** Specify the page of results to return if there are multiple pages. Defaults to page 1. |

### Sample request

```bash
curl -X GET \
  https://<tenant-domain>/api/v2/cases/<<case_id>>/actions \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

## Response

A successful request will return a JSON Array containing the case actions on the specified case provided the requesting token has access to it.

### Field description

| Parameter    | Description                                                                          |
| ------------ | ------------------------------------------------------------------------------------ |
| case_id      | The ID of the case.                                                                  |
| id           | The case action ID.                                                                  |
| url          | The URL of the case action.                                                          |
| label        | The label of the case action.                                                        |
| action_type  | The case action type (`webhook` or `page`).                                          |
| action_text  | The text for the button to execute the action.                                       |
| story_name   | Will be populated if the URL matches that of a page or webhook in an existing story. |
| story_emoji  | The associated story's emoji icon.                                                   |
| page_emoji   | The associated page's emoji icon.                                                    |
| query_params | An object of key-value pairs to append as query parameters to the action URL.        |
| created_at   | ISO 8601 Timestamp representing creation date and time of the case action.           |
| updated_at   | ISO 8601 Timestamp representing last updated date and time of case action.           |

### Sample response

```json
{
  "case_id": 1,
  "actions": [
    {
      "id": 1,
      "url": "https://tenant.tines.com/webhook/abc/",
      "label": "Claim case",
      "story_name": "Case Management",
      "story_emoji": ":fire:",
      "page_emoji": null,
      "action_type": "webhook",
      "action_text": "Open form",
      "query_params": {
        "assignee": "john@doe.com"
      },
      "created_at": "2023-10-31T15:42:00Z",
      "updated_at": "2023-10-31T16:42:00Z"
    },
    {
      "id": 2,
      "url": "https://tenant.tines.com/webhook/abc/",
      "label": "Escalate",
      "story_name": "Case Management",
      "story_emoji": ":rocket:",
      "page_emoji": null,
      "action_type": "webhook",
      "action_text": "Open page",
      "query_params": {
        "status": "open",
        "priority": "high"
      },
      "created_at": "2023-10-31T17:42:00Z",
      "updated_at": "2023-10-31T18:42:00Z"
    }
  ],
  "meta": {
    "count": 2,
    "current_page": "https://<tenant-domain>/api/v2/cases/1/actions?per_page=20&page=1",
    "next_page": null,
    "next_page_number": null,
    "pages": 1,
    "per_page": 20,
    "previous_page": null
  }
}
```
